import 'package:dialer/features/home/home_page.dart';
import 'package:flutter/material.dart';
import 'package:dialer/features/contacts/contact_state.dart';
import 'globals.dart' as globals;

void main() {
  const stealthFlag = String.fromEnvironment('STEALTH', defaultValue: 'false');
  globals.isStealthMode = stealthFlag.toLowerCase() == 'true';
  runApp(const Dialer());
}

class Dialer extends StatelessWidget {
  const Dialer({super.key});

  @override
  Widget build(BuildContext context) {
    return ContactState(
      child: MaterialApp(
        theme: ThemeData(
          brightness: Brightness.dark
        ),
        home: SafeArea(child: MyHomePage()),
      )
    );
  }
}
